Skip to content

Create Object storage

POST
/api/v1/storage/buckets/{bucket_name}/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/storage/buckets/{bucket_name}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"is_lock_enabled": false,
"is_versioning_enabled": true,
"is_encryption_enabled": false
}'
bucket_name
required
string

Bucket Name

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
is_lock_enabled

Set to true to enable object lock, or false to disable it.

boolean

Example

false
is_versioning_enabled

Set to true to enable bucket versioning, or false to disable it.

boolean

Example

true
is_encryption_enabled

Set to true to enable bucket encryption, or false to disable it.

boolean

Example

false

Successfully created a bucket

Media typeapplication/json
object
code
integer
data
object
id
integer
name
string
created_by
integer
status
string
used_MB
number
nullable
created_at
string format: date-time
updated_at
string format: date-time
versioning_status
string
lifecycle_configuration_status
string
is_lock_enabled
boolean
is_encryption_enabled
boolean
errors
object
message
string

Example

{
"code": 200,
"data": {
"id": 12352,
"name": "test-bucket-112345",
"created_by": 24778,
"status": "NEW",
"used_MB": null,
"created_at": "2025-05-27T05:53:19.879549Z",
"updated_at": "2025-05-27T05:53:19.879596Z",
"versioning_status": "Enabled",
"lifecycle_configuration_status": "Not-Configured",
"is_lock_enabled": true,
"is_encryption_enabled": true
},
"errors": {},
"message": "Success"
}

Bucket creation failed due to precondition error

Media typeapplication/json
object
code
integer
data
object
errors
string
message
string

Example

{
"code": 412,
"data": {},
"errors": "Bucket name is not available.",
"message": "Precondition Failed"
}